Skip to content
Start here

Model Search

client.ai.models.list(ModelListParams { account_id, author, hide_experimental, 5 more } params, RequestOptionsoptions?): V4PagePaginationArray<ModelListResponse>
GET/accounts/{account_id}/ai/models/search

Searches Workers AI models by name or description.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers AI WriteWorkers AI Read
ParametersExpand Collapse
params: ModelListParams { account_id, author, hide_experimental, 5 more }
account_id: string

Path param

author?: string

Query param: Filter by Author

hide_experimental?: boolean

Query param: Filter to hide experimental models

page?: number

Query param

per_page?: number

Query param

source?: number

Query param: Filter by Source Id

task?: string

Query param: Filter by Task Name

ReturnsExpand Collapse
ModelListResponse = unknown

Model Search

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const modelListResponse of client.ai.models.list({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(modelListResponse);
}
{
  "errors": [
    {}
  ],
  "messages": [
    "string"
  ],
  "result": [
    {}
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {}
  ],
  "messages": [
    "string"
  ],
  "result": [
    {}
  ],
  "success": true
}